package com.icomsys.main_vm.db.jpa.repo.system.dsl;

import com.icomsys.main_vm.biz.rcp.conversation.vo.SynonymWordListVo;
import com.icomsys.main_vm.biz.rcp.conversation.vo.synonym.ExcelSynonymListVo;
import com.icomsys.main_vm.biz.rcp.conversation.vo.synonym.SelectSynonymList2Vo;
import com.icomsys.main_vm.biz.rcp.conversation.vo.synonym.SelectSynonymListVo;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;

public interface TbSynonymMasterRepoDsl {

    @Transactional(readOnly = true)
    List<SelectSynonymList2Vo> selectSynonymList2(String opr, String repWord);
    @Transactional(readOnly = true)
    List<SelectSynonymListVo> selectSynonymList(String oprMngCode, String repWord);
    Long dupIndivWord(HashMap eMap);
    Long dupRepWord(HashMap eMap);
    Long selectSynonymMaster(HashMap eMap);
    Long dupRepWordN(HashMap eMap);
    Long dupSynonymY(HashMap eMap);
    Long dupSynonymN(HashMap eMap);
    List<SynonymWordListVo> insertSynonymWord(HashMap eMap);
    int deleteSynonyms(HashMap eMap);

    void updateSynonymMaster(HashMap eMap);

    //List<ExcelSynonymListVo> excelSynonymList(String opr, String repWord);
}
